Page MenuHomePhabricator

Provide an option to edit link cards
Closed, ResolvedPublic

Description

For target links that correspond to existing links in the target text (not for suggestions to be inserted), an option to edit the existing link would be helpful.

Once the user clicks on the editing option, the link inspector will be opened, allowing the user to change the link to a different page.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 4:44 PM
Arrbee set Security to None.
Amire80 triaged this task as Normal priority.Jul 23 2015, 5:48 PM
Amire80 added a subscriber: Amire80.

Is it really Epic?

Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 28 2015, 6:31 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 7 2015, 9:23 AM

allowing the user to change the link to a different page.

This feature is already present .
@Pginer-WMF, please confirm if anything else to be done here? If not, this ticket can be closed.

allowing the user to change the link to a different page.


This feature is already present .
@Pginer-WMF, please confirm if anything else to be done here? If not, this ticket can be closed.

The current "link to another page" can be used to modify existing links, but we should polish the workflow to properly support it. Some of the issues captured at T106445 are getting in the way in this usecase:

  • When you click on "link to another page" the current cards should be hidden.
  • It's hard to exit the selector (clicking outside or hitting "esc" should work).
  • Once the link is modified, the new link cards should appear. Currently the cards don't appear (you need to click in the link again) which makes it unclear whether the link was correctly added or not.

Also something specific for the case of modifying the existing value (not captured in T106445):

  • In the search field, the current linked page should be shown as the default option: with the title text selected (so that typing will replace it) and the page highlighted in the auto-complete list.

So I think that we can close this one and give to T106445 a more appropriate description.

as per @Pginer-WMF, removing dependency to T105447

Arrbee moved this task from Bugs to Enhancements on the ContentTranslation board.Jun 22 2018, 1:40 PM
Arrbee closed this task as Resolved.Jun 10 2019, 2:50 PM
Arrbee claimed this task.